Archive a ticket type
Archives a ticket type by setting its status to "archived". The ticket type will no longer be visible but data is preserved.
DELETE
/v1/events/:pageId/ticket-groups/:ticketGroupId/ticket-types/:ticketTypeIdAuthorization
api_key_auth AuthorizationBearer <token>
API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Path Parameters
pageId*string
The unique identifier of the page.
Match
^[0-9a-fA-F]{24}$ticketGroupId*string
The unique identifier of the ticket group.
Match
^[0-9a-fA-F]{24}$ticketTypeId*string
The unique identifier of the ticket type.
Match
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.checkoutpage.com/v1/events/:pageId/ticket-groups/:ticketGroupId/ticket-types/:ticketTypeId"{
"data": {
"id": "string",
"ticketGroupId": "65f4a1c2e4a9f3d2b1c0a9e8",
"name": "string",
"description": "string",
"reference": "string",
"hidden": true,
"hideWhenSoldOut": true,
"hideWhenNotOnSale": true,
"hideWhenScheduled": true,
"hideWhenUnavailable": true,
"pricing": "paid",
"price": 0,
"discountedFromPrice": 0,
"capacity": 0,
"quantitySold": 0,
"minQuantity": 0,
"maxQuantity": 0,
"showAvailableQuantity": true,
"showTicketSaleDates": true,
"image": {
"fileId": "string",
"url": "https://bucket-name.s3.amazonaws.com/image.jpg",
"name": "product-image.jpg",
"size": 245678,
"width": 1920,
"height": 1080
},
"availabilityBehavior": "always_available",
"availabilityStatus": "available",
"saleStartOn": "string",
"saleEndOn": "string",
"triggerTicketTypeId": "65f4a1c2e4a9f3d2b1c0a9e8",
"status": "enabled"
}
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}